
package com.tmerclub.cloud.product.model;

import com.tmerclub.cloud.common.model.BaseModel;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 赠品表
 *
 * @author tmerclub
 * @date 2022-08-16 11:11:58
 */
public class Giveaway extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 赠品id
     */
    private Long giveawayId;

    /**
     * 赠品名称
     */
    private String name;

    /**
     * 活动开始时间
     */
    private Date startTime;

    /**
     * 活动结束时间
     */
    private Date endTime;

    /**
     * 店铺id
     */
    private Long shopId;

    /**
     * 购买数量（购买了多少件才赠送赠品）
     */
    private Integer buyNum;

    /**
     * 主商品id
     */
    private Long spuId;

    /**
     * 状态 -1：已删除 0：关闭 1:开启 2:未开启
     */
    private Integer status;

    public Long getGiveawayId() {
        return giveawayId;
    }

    public void setGiveawayId(Long giveawayId) {
        this.giveawayId = giveawayId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public Long getShopId() {
        return shopId;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    public Integer getBuyNum() {
        return buyNum;
    }

    public void setBuyNum(Integer buyNum) {
        this.buyNum = buyNum;
    }

    public Long getSpuId() {
        return spuId;
    }

    public void setSpuId(Long spuId) {
        this.spuId = spuId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    @Override
    public String toString() {
        return "Giveaway{" +
                "giveawayId=" + giveawayId +
                ",name=" + name +
                ",createTime=" + createTime +
                ",updateTime=" + updateTime +
                ",startTime=" + startTime +
                ",endTime=" + endTime +
                ",shopId=" + shopId +
                ",buyNum=" + buyNum +
                ",spuId=" + spuId +
                ",status=" + status +
                '}';
    }
}
